QXmppPubSubItem Class Reference

The QXmppPubSubItem class represents a publish-subscribe item as defined by XEP-0060: Publish-Subscribe. More...

`#include <QXmppPubSubItem.h>`

## Public Member Functions

| QXmppPubSubItem (const QXmppPubSubItem &iq)
QXmppPubSubItem & | operator= (const QXmppPubSubItem &iq)
QString | id () const
| Returns the ID of the PubSub item.
void | setId (const QString &id)
QXmppElement | contents () const
| Returns the contents of the PubSub item.
void | setContents (const QXmppElement &contents)

## Detailed Description

The QXmppPubSubItem class represents a publish-subscribe item as defined by XEP-0060: Publish-Subscribe.

## Member Function Documentation

## setContents()

void QXmppPubSubItem::setContents | ( | const QXmppElement & | contents | ) |

Sets the contents of the PubSub item.

Parameters

  contents |

## setId()

void QXmppPubSubItem::setId | ( | const QString & | id | ) |

Sets the ID of the PubSub item.

Parameters

  id |

The documentation for this class was generated from the following files:

- QXmppPubSubItem.h
- QXmppPubSubItem.cpp